Thread Class Reference

## Public Member Functions

_size_t | getHandle ()
int | terminate ()
void * | getParam ()
int | join (unsigned long timeout=-1)
bool | operator== (const Thread &right)

## Static Public Member Functions

template<class CLASS , int(CLASS::*)(void) PROC>
static Thread | ThreadCreateObjectFunctor (CLASS *pthis)
template<class CLASS , int(CLASS::*)(void) PROC>
static _size_t THREAD_PROC | createThreadAux (void *param)
static Thread | createThread (thread_proc_t proc, void *param=NULL)

## Protected Member Functions

| Thread (thread_proc_t proc, void *param)

## Protected Attributes

void * | _param
thread_proc_t | _func
_size_t | _handle

The documentation for this class was generated from the following file:

- /home/yang/gitlab/sdk/include/thread.h